SplDoublyLinkedList
SplStack
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::valid

(No version information available, might be only in CVS)

SplDoublyLinkedList::valid — Check whether the doubly linked list contains more nodes

### Description

bool SplDoublyLinkedList::valid ( void )

Checks if the doubly linked list contains any more nodes.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the doubly linked list contains any more nodes, `FALSE` otherwise.

SplDoublyLinkedList
SplStack
SplDoublyLinkedList
PHP Manual